#
# Conditional build:
%bcond_with	license_agreement	# with unzipped ROM files instead of xf25.zip
#
Summary:	Atari 800 Emulator
Summary(pl.UTF-8):	Emulator Atari 800
Name:		Atari800
Version:	4.0.0
Release:	1
License:	GPL v2+ (Atari800), distributable if unmodified (xf25 with ROMs)
Group:		Applications/Emulators
Source0:	https://sourceforge.net/projects/atari800/files/atari800/%{version}/atari800-%{version}.tar.gz
# Source0-md5:	72ba8e390a8fba7d087c2c089dae6d3c
# NOTE: ROMs probably can be redistributed only in original XF25 archive
Source1:	http://joy.sophics.cz/www/xf25.zip
# Source1-md5:	4dc3b6b4313e9596c4d474785a37b94d
Source2:	%{name}-chooser
URL:		https://atari800.github.io/
BuildRequires:	SDL-devel
BuildRequires:	automake
%if %{with license_agreement}
BuildRequires:	unzip
%endif
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
This is Atari 800, 800XL, 130XE and 5200 emulator.

%description -l pl.UTF-8
To jest emulator Atari 800, 800XL, 130XE i 5200.

%package common
Summary:	Atari 800 Emulator - common files for SDL and X11 versions
Summary(pl.UTF-8):	Emulator Atari 800 - pliki wspólne dla wersji SDL oraz X11
Group:		Applications/Emulators
Obsoletes:	Atari800
%if !%{with license_agreement}
Requires(post):	unzip
%endif

%description common
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains common files for both SDL and X11 versions
of Atari800.
%if !%{with license_agreement}
Note: because of license problems we had to include whole X-Former
archive (xf25.zip). If you don't want it - rebuild Atari800 (--with
license_agreement)
%endif 

%description common -l pl.UTF-8
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera pliki wspólne dla wersji działających pod SDL
oraz X11.
%if !%{with license_agreement}
Uwaga: z powodu problemów z licencją musieliśmy załączyć całą paczkę
z emulatorem X-Former (xf25.zip). Jeśli jej nie chcesz w pakiecie -
przebuduj pakiet z opcja --with license_agreement.
%endif

%package x11
Summary:	Atari 800 Emulator - X Window version
Summary(pl.UTF-8):	Emulator Atari 800 - wersja dla systemu X Window
License:	GPL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}

%description x11
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for X11 with
OSS sound and joystick support.

%description x11 -l pl.UTF-8
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla X11 z
obsługą dźwięku OSS i joysticka.

%package SDL
Summary:	Atari 800 Emulator - SDL version
Summary(pl.UTF-8):	Emulator Atari 800 - wersja SDL
License:	GPL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}
Obsoletes:	Atari800-svga

%description SDL
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for SDL with
sound and joystick support.

%description SDL -l pl.UTF-8
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla SDL z
obsługą dźwięku i joysticka.

%prep
%setup -q -n atari800-%{version}

%build
cd src
rm config.sub
cp -f /usr/share/automake/config.sub .

%configure \
	--target=x11-shm \
	--enable-crashmenu \
	--disable-stereosound \
	--with-sound=sdl \
	--with-video=sdl

%{__make}

%{__mv} atari800 atari800-SDL

%{__make} clean

%configure \
	--target=x11-shm \
	--enable-crashmenu \
	--disable-stereosound \
	--with-sound=oss \
	--with-video=no

%{__make}

%{__mv} atari800 atari800-x11

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/atari800,%{_mandir}/man1}

install src/atari800-x11 $RPM_BUILD_ROOT%{_bindir}
install src/atari800-SDL $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/atari800
install src/atari800.man $RPM_BUILD_ROOT%{_mandir}/man1/atari800.1

%if %{with license_agreement}
unzip -q -L %{SOURCE1} -d $RPM_BUILD_ROOT%{_datadir}/atari800
%{__rm} $RPM_BUILD_ROOT%{_datadir}/atari800/xf25.*
%else
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/atari800
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if !%{with license_agreement}
%post common
cd %{_datadir}/atari800
if [ "`echo *.rom`" = "*.rom" ]; then
	umask 022
	unzip -q -L xf25.zip
	rm -f xf25.doc xf25.exe
fi
%endif

%files common
%defattr(644,root,root,755)
%doc DOC/{BUGS,CREDITS,ChangeLog,FAQ,NEWS,README,TODO,USAGE,*.txt} README.1ST
%attr(755,root,root) %{_bindir}/atari800
%{_datadir}/atari800
%{_mandir}/man1/atari800.1*

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atari800-x11

%files SDL
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atari800-SDL
%changelog
* Tue Aug 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Atari800.git;a=log;h=master

* Fri Jul 27 2018 Łukasz Maśko <lmasko@pld-linux.org> 56ebf01
- Up to 4.0.0.

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 2014cdf
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> ac60299
- updated to 3.1.0

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b37abd3
- release 3 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a9282d3
- release 2

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 0d68c21
- dropped svga target

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> e54121e
- updated to 2.2.1
- svgalib support dropped upstream; SDL version obsoletes svga now

* Tue Jul 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 94430e7
- updated to 2.0.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ad763a7
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a1f0513
- converted to UTF-8

* Mon Nov 13 2006 sparky <sparky@pld-linux.org> e78a259
- don't use %{without ...}, it may not work after inverting bcond

* Sun Apr 23 2006 Jakub Bogusz <qboosh@pld-linux.org> c283af3
- updated to 2.0.2, modular xorg

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 2186844
- orphaned, outdated

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 64f9b05
- updated to 2.0.1

* Fri Jun 17 2005 zbyniu <zbyniu@pld-linux.org> f19ff0c
- BR: am

* Wed May 04 2005 Jakub Bogusz <qboosh@pld-linux.org> e46c8d8
- updated to 1.3.6

* Sat Jan 01 2005 Adam Gołębiowski <adamg@pld-linux.org> 0d5de43
- updated to 1.3.5

* Mon Dec 27 2004 Adam Gołębiowski <adamg@pld-linux.org> 7804642
- updated to 1.3.4

* Mon Aug 09 2004 averne <averne@pld-linux.org> 29088af
- updated to 1.3.3

* Mon Aug 09 2004 averne <averne@pld-linux.org> 6724d27
- refresh config.sub

